#!/bin/sh
#
# Pulls sources for eclipse-mylyn-versions SRPM
#  - org.eclipse.mylyn.versions-feature
#  - org.eclipse.mylyn.versions.sdk-feature
#  - org.eclipse.mylyn.git-feature
#  - org.eclipse.mylyn.cvs-feature
# 
RELEASE_TAG="R_3_5_0"

rm -fr org.eclipse.mylyn.versions
for f in \
org.eclipse.mylyn.versions-feature \
org.eclipse.mylyn.versions.core \
org.eclipse.mylyn.versions.ui \
org.eclipse.mylyn.git-feature \
org.eclipse.mylyn.git.core \
org.eclipse.mylyn.cvs-feature \
org.eclipse.mylyn.cvs.core; do
cvs -d :pserver:anonymous@dev.eclipse.org:/cvsroot/mylyn \
export -r ${RELEASE_TAG} org.eclipse.mylyn.versions/$f;
done

rm -f eclipse-mylyn-versions-${RELEASE_TAG}-fetched-src.tar.bz2
tar cjf eclipse-mylyn-versions-${RELEASE_TAG}-fetched-src.tar.bz2 \
	org.eclipse.mylyn.versions
